libssl.so.1.1

Konfiguracja serwerów, usług, itp.
poldi1969
Posty: 7
Rejestracja: 23 lutego 2020, 11:45

libssl.so.1.1

Post autor: poldi1969 » 23 lutego 2020, 11:55

Witam
Nie radzę sobie z uruchomieniem oscama, wywala mi błedy
error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
Zainstalowałem już openssl1.1 ale nadal brakuje tych bibliotek
Proszę o pomoc jak doinstalować brakujące komponenty
system to :

Kod: Zaznacz cały

root@sd-60506:~# uname -a
Linux sd-60506 3.2.0-4-amd64 #1 SMP Debian 3.2.96-2 x86_64 GNU/Linux
root@sd-60506:~# cat /etc/os-release
PRETTY_NAME="Debian GNU/Linux 7 (wheezy)"
NAME="Debian GNU/Linux"
VERSION_ID="7"
VERSION="7 (wheezy)"
ID=debian
ANSI_COLOR="1;31"
HOME_URL="http://www.debian.org/"
SUPPORT_URL="http://www.debian.org/support/"
BUG_REPORT_URL="http://bugs.debian.org/"
root@sd-60506:~#
Ok z libssl.so.1.1 i libcrypto.so.1.1 juz sobie poradziłem są w innym miejscu tylko podlinkowałem.
Ale tera mam inny problem wywala mi taki błąd nie wiem co zrobić proszę o pomoć

Kod: Zaznacz cały

libc.so.6: version `GLIBC_2.14' not found (required by....

Awatar użytkownika
dedito
Moderator
Posty: 3071
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: libssl.so.1.1

Post autor: dedito » 23 lutego 2020, 18:21

Masz już nie wspieraną edycję Debiana.
Pokaż

Kod: Zaznacz cały

apt policy libc6

poldi1969
Posty: 7
Rejestracja: 23 lutego 2020, 11:45

Re: libssl.so.1.1

Post autor: poldi1969 » 23 lutego 2020, 20:01

Kod: Zaznacz cały

root@sd-60506:~# apt policy libc6
-bash: apt: nie znaleziono polecenia
root@sd-60506:~# apt-get policy libc6
E: Nieprawidłowa operacja policy

Awatar użytkownika
dedito
Moderator
Posty: 3071
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: libssl.so.1.1

Post autor: dedito » 23 lutego 2020, 20:09

Mała podpowiedź ... apt-cache policy ...

poldi1969
Posty: 7
Rejestracja: 23 lutego 2020, 11:45

Re: libssl.so.1.1

Post autor: poldi1969 » 23 lutego 2020, 21:16

Kod: Zaznacz cały

root@sd-60506:~# apt-cache policy libc6
libc6:
  Zainstalowana: 2.13-38+deb7u12
  Kandydująca:   2.29-10
  Tabela wersji:
     2.30-0experimental2 0
          1 http://ftp.pl.debian.org/debian/ experimental/main amd64 Packages
     2.29-10 0
        500 http://ftp.pl.debian.org/debian/ testing/main amd64 Packages
        500 http://http.us.debian.org/debian/ testing/main amd64 Packages
     2.28-10 0
        500 http://deb.debian.org/debian/ buster/main amd64 Packages
 *** 2.13-38+deb7u12 0
        100 /var/lib/dpkg/status
root@sd-60506:~#

Awatar użytkownika
dedito
Moderator
Posty: 3071
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: libssl.so.1.1

Post autor: dedito » 23 lutego 2020, 21:31

Pozostaje Ci zaktualizować libc6, aczkolwiek nie wiem skąd się u Ciebie wzięły repozytoria testing i experimental skoro masz wheezy.
Ta aktualizacja pewnie pociągnie ze sobą tony zależności.

Sugeruję zainstalować wspieranego debiana i wtedy kompilacja oscam powinna pójść bez problemów.
Swoją drogą są też pewnie gotowe binarki oscama.

poldi1969
Posty: 7
Rejestracja: 23 lutego 2020, 11:45

Re: libssl.so.1.1

Post autor: poldi1969 » 23 lutego 2020, 21:55

No właśnie gotowe binarki nie startowały. Chciałem sam skompilować ale tez nie dało rady.
Pytanko jak zaktualizować libc6?
I gdzie znajdę repozytoria do pliku sources.list?

Awatar użytkownika
dedito
Moderator
Posty: 3071
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: libssl.so.1.1

Post autor: dedito » 23 lutego 2020, 22:15

Skoro pytasz o tak podstawowe rzeczy i nie potrafisz wyjaśnić skąd się wzięły repozytoria testing na wheezy, to w Twoim przypadku najlepiej zainstalować wspieranego Debiana, potem pobrać binarkę oscama i powinno działąć.
Inne rozwiązania skończą się problemami, a ewentualna pomoc w wyjściu z tej sytuacji będzie utrudniona ze względu na zakończenie wsparcia dla tej edycji Debiana.

poldi1969
Posty: 7
Rejestracja: 23 lutego 2020, 11:45

Re: libssl.so.1.1

Post autor: poldi1969 » 29 lutego 2020, 03:22

No i przeinstalowałem system. Teraz mogę zalogować się jako użytkownik. Jak zmienić żeby logować się jako root i mieć uprawnienia jako root.
Nie chodzi mi o su chcę od razu logować się jako root
Logując się przez winscp mogę zalogować się jako użytkownik i nie ma dostępu do plików i folderów

Awatar użytkownika
dedito
Moderator
Posty: 3071
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: libssl.so.1.1

Post autor: dedito » 29 lutego 2020, 05:51

Przede wszystkim, jeśli wątek o libssl.so.1.1 zakończyłeś/przerwałeś to napisz o tym, krótko podsumuj.

Teraz przechodząc do, jak mi się zdaje, kolejnego wątku: gdzie chcesz się logować jako root: zdalnie do ssh, ftp, lokalnie do sesji graficznej, tekstowej ... ?

Logowanie zdalne do różnych usług typu ssh, ftp jako root zazwyczaj jest wyłączone. Uzyskanie możliwości logowania jako root konfiguruje się w plikach konfiguracyjnych tych usług, więc sprawdź sobie co tam masz za usługę i przejdź do jej pliku konfiguracyjnego i skonfiguruj odpowiednie opcje. W Internecie lub na forum znajdziesz już gotowe przykłady.
Jednak nie widzę w Twoim przypadku takiej potrzeby, aby załączać dostęp przez root. Po prostu nadaj odpowiednie uprawnienia plikom, aby mieć do nich dostęp.

Logowanie lokalne do sesji graficznej jest blokowane, a do tekstowej nie jest blokowane.

Zablokowany